source: squid-ssl/trunk/fuentes/helpers/url_rewrite/fake/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 23 months ago

Initial release

File size: 41.4 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92check_PROGRAMS =
93TESTS =
94@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
95libexec_PROGRAMS = url_fake_rewrite$(EXEEXT)
96subdir = helpers/url_rewrite/fake
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)"
164PROGRAMS = $(libexec_PROGRAMS)
165am_url_fake_rewrite_OBJECTS = fake.$(OBJEXT)
166url_fake_rewrite_OBJECTS = $(am_url_fake_rewrite_OBJECTS)
167@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170url_fake_rewrite_DEPENDENCIES = $(am__DEPENDENCIES_2)
171AM_V_lt = $(am__v_lt_@AM_V@)
172am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
173am__v_lt_0 = --silent
174am__v_lt_1 =
175am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
176am__vpath_adj = case $$p in \
177    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
178    *) f=$$p;; \
179  esac;
180am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
181am__install_max = 40
182am__nobase_strip_setup = \
183  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
184am__nobase_strip = \
185  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
186am__nobase_list = $(am__nobase_strip_setup); \
187  for p in $$list; do echo "$$p $$p"; done | \
188  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
189  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
190    if (++n[$$2] == $(am__install_max)) \
191      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
192    END { for (dir in files) print dir, files[dir] }'
193am__base_list = \
194  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
195  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
196am__uninstall_files_from_dir = { \
197  test -z "$$files" \
198    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
199    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
200         $(am__cd) "$$dir" && rm -f $$files; }; \
201  }
202SCRIPTS = $(libexec_SCRIPTS)
203AM_V_P = $(am__v_P_@AM_V@)
204am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
205am__v_P_0 = false
206am__v_P_1 = :
207AM_V_GEN = $(am__v_GEN_@AM_V@)
208am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
209am__v_GEN_0 = @echo "  GEN     " $@;
210am__v_GEN_1 =
211AM_V_at = $(am__v_at_@AM_V@)
212am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
213am__v_at_0 = @
214am__v_at_1 =
215DEFAULT_INCLUDES =
216depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
217am__depfiles_maybe = depfiles
218am__mv = mv -f
219CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
220        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
221LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
222        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
223        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
224        $(AM_CXXFLAGS) $(CXXFLAGS)
225AM_V_CXX = $(am__v_CXX_@AM_V@)
226am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
227am__v_CXX_0 = @echo "  CXX     " $@;
228am__v_CXX_1 =
229CXXLD = $(CXX)
230CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
231        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
232        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
233AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
234am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
235am__v_CXXLD_0 = @echo "  CXXLD   " $@;
236am__v_CXXLD_1 =
237SOURCES = $(url_fake_rewrite_SOURCES)
238DIST_SOURCES = $(url_fake_rewrite_SOURCES)
239am__can_run_installinfo = \
240  case $$AM_UPDATE_INFO_DIR in \
241    n|no|NO) false;; \
242    *) (install-info --version) >/dev/null 2>&1;; \
243  esac
244am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
245# Read a list of newline-separated strings from the standard input,
246# and print each of them once, without duplicates.  Input order is
247# *not* preserved.
248am__uniquify_input = $(AWK) '\
249  BEGIN { nonempty = 0; } \
250  { items[$$0] = 1; nonempty = 1; } \
251  END { if (nonempty) { for (i in items) print i; }; } \
252'
253# Make sure the list of sources is unique.  This is necessary because,
254# e.g., the same source file might be shared among _SOURCES variables
255# for different programs/libraries.
256am__define_uniq_tagged_files = \
257  list='$(am__tagged_files)'; \
258  unique=`for i in $$list; do \
259    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
260  done | $(am__uniquify_input)`
261ETAGS = etags
262CTAGS = ctags
263am__tty_colors_dummy = \
264  mgn= red= grn= lgn= blu= brg= std=; \
265  am__color_tests=no
266am__tty_colors = { \
267  $(am__tty_colors_dummy); \
268  if test "X$(AM_COLOR_TESTS)" = Xno; then \
269    am__color_tests=no; \
270  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
271    am__color_tests=yes; \
272  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
273    am__color_tests=yes; \
274  fi; \
275  if test $$am__color_tests = yes; then \
276    red='[0;31m'; \
277    grn='[0;32m'; \
278    lgn='[1;32m'; \
279    blu='[1;34m'; \
280    mgn='[0;35m'; \
281    brg='[1m'; \
282    std='[m'; \
283  fi; \
284}
285am__recheck_rx = ^[     ]*:recheck:[    ]*
286am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
287am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
288# A command that, given a newline-separated list of test names on the
289# standard input, print the name of the tests that are to be re-run
290# upon "make recheck".
291am__list_recheck_tests = $(AWK) '{ \
292  recheck = 1; \
293  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
294    { \
295      if (rc < 0) \
296        { \
297          if ((getline line2 < ($$0 ".log")) < 0) \
298            recheck = 0; \
299          break; \
300        } \
301      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
302        { \
303          recheck = 0; \
304          break; \
305        } \
306      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
307        { \
308          break; \
309        } \
310    }; \
311  if (recheck) \
312    print $$0; \
313  close ($$0 ".trs"); \
314  close ($$0 ".log"); \
315}'
316# A command that, given a newline-separated list of test names on the
317# standard input, create the global log from their .trs and .log files.
318am__create_global_log = $(AWK) ' \
319function fatal(msg) \
320{ \
321  print "fatal: making $@: " msg | "cat >&2"; \
322  exit 1; \
323} \
324function rst_section(header) \
325{ \
326  print header; \
327  len = length(header); \
328  for (i = 1; i <= len; i = i + 1) \
329    printf "="; \
330  printf "\n\n"; \
331} \
332{ \
333  copy_in_global_log = 1; \
334  global_test_result = "RUN"; \
335  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
336    { \
337      if (rc < 0) \
338         fatal("failed to read from " $$0 ".trs"); \
339      if (line ~ /$(am__global_test_result_rx)/) \
340        { \
341          sub("$(am__global_test_result_rx)", "", line); \
342          sub("[        ]*$$", "", line); \
343          global_test_result = line; \
344        } \
345      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
346        copy_in_global_log = 0; \
347    }; \
348  if (copy_in_global_log) \
349    { \
350      rst_section(global_test_result ": " $$0); \
351      while ((rc = (getline line < ($$0 ".log"))) != 0) \
352      { \
353        if (rc < 0) \
354          fatal("failed to read from " $$0 ".log"); \
355        print line; \
356      }; \
357      printf "\n"; \
358    }; \
359  close ($$0 ".trs"); \
360  close ($$0 ".log"); \
361}'
362# Restructured Text title.
363am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
364# Solaris 10 'make', and several other traditional 'make' implementations,
365# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
366# by disabling -e (using the XSI extension "set +e") if it's set.
367am__sh_e_setup = case $$- in *e*) set +e;; esac
368# Default flags passed to test drivers.
369am__common_driver_flags = \
370  --color-tests "$$am__color_tests" \
371  --enable-hard-errors "$$am__enable_hard_errors" \
372  --expect-failure "$$am__expect_failure"
373# To be inserted before the command running the test.  Creates the
374# directory for the log if needed.  Stores in $dir the directory
375# containing $f, in $tst the test, in $log the log.  Executes the
376# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
377# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
378# will run the test scripts (or their associated LOG_COMPILER, if
379# thy have one).
380am__check_pre = \
381$(am__sh_e_setup);                                      \
382$(am__vpath_adj_setup) $(am__vpath_adj)                 \
383$(am__tty_colors);                                      \
384srcdir=$(srcdir); export srcdir;                        \
385case "$@" in                                            \
386  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
387    *) am__odir=.;;                                     \
388esac;                                                   \
389test "x$$am__odir" = x"." || test -d "$$am__odir"       \
390  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
391if test -f "./$$f"; then dir=./;                        \
392elif test -f "$$f"; then dir=;                          \
393else dir="$(srcdir)/"; fi;                              \
394tst=$$dir$$f; log='$@';                                 \
395if test -n '$(DISABLE_HARD_ERRORS)'; then               \
396  am__enable_hard_errors=no;                            \
397else                                                    \
398  am__enable_hard_errors=yes;                           \
399fi;                                                     \
400case " $(XFAIL_TESTS) " in                              \
401  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
402    am__expect_failure=yes;;                            \
403  *)                                                    \
404    am__expect_failure=no;;                             \
405esac;                                                   \
406$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
407# A shell command to get the names of the tests scripts with any registered
408# extension removed (i.e., equivalently, the names of the test logs, with
409# the '.log' extension removed).  The result is saved in the shell variable
410# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
411# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
412# since that might cause problem with VPATH rewrites for suffix-less tests.
413# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
414am__set_TESTS_bases = \
415  bases='$(TEST_LOGS)'; \
416  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
417  bases=`echo $$bases`
418RECHECK_LOGS = $(TEST_LOGS)
419AM_RECURSIVE_TARGETS = check recheck
420TEST_SUITE_LOG = test-suite.log
421TEST_EXTENSIONS = @EXEEXT@ .test
422am__test_logs1 = $(TESTS:=.log)
423am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
424TEST_LOGS = $(am__test_logs2:.test.log=.log)
425TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
426TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
427        $(TEST_LOG_FLAGS)
428am__set_b = \
429  case '$@' in \
430    */*) \
431      case '$*' in \
432        */*) b='$*';; \
433          *) b=`echo '$@' | sed 's/\.log$$//'`; \
434       esac;; \
435    *) \
436      b='$*';; \
437  esac
438am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
439        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
440DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
441ACLOCAL = @ACLOCAL@
442ADAPTATION_LIBS = @ADAPTATION_LIBS@
443ALLOCA = @ALLOCA@
444AMTAR = @AMTAR@
445AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
446AR = @AR@
447AR_R = @AR_R@
448AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
449AUTH_MODULES = @AUTH_MODULES@
450AUTOCONF = @AUTOCONF@
451AUTOHEADER = @AUTOHEADER@
452AUTOMAKE = @AUTOMAKE@
453AWK = @AWK@
454BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
455BUILDCXX = @BUILDCXX@
456BUILDCXXFLAGS = @BUILDCXXFLAGS@
457BZR = @BZR@
458CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
459CC = @CC@
460CCDEPMODE = @CCDEPMODE@
461CFLAGS = @CFLAGS@
462CGIEXT = @CGIEXT@
463CHMOD = @CHMOD@
464CPP = @CPP@
465CPPFLAGS = @CPPFLAGS@
466CPPUNITCONFIG = @CPPUNITCONFIG@
467CRYPTLIB = @CRYPTLIB@
468CXX = @CXX@
469CXXCPP = @CXXCPP@
470CXXDEPMODE = @CXXDEPMODE@
471CXXFLAGS = @CXXFLAGS@
472CYGPATH_W = @CYGPATH_W@
473DEFAULT_HOSTS = @DEFAULT_HOSTS@
474DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
475DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
476DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
477DEFS = @DEFS@
478DEPDIR = @DEPDIR@
479DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
480DISK_LIBS = @DISK_LIBS@
481DISK_LINKOBJS = @DISK_LINKOBJS@
482DISK_MODULES = @DISK_MODULES@
483DISK_OS_LIBS = @DISK_OS_LIBS@
484DISK_PROGRAMS = @DISK_PROGRAMS@
485DLLTOOL = @DLLTOOL@
486DSYMUTIL = @DSYMUTIL@
487DUMPBIN = @DUMPBIN@
488ECAP_LIBS = @ECAP_LIBS@
489ECHO_C = @ECHO_C@
490ECHO_N = @ECHO_N@
491ECHO_T = @ECHO_T@
492EGREP = @EGREP@
493EPOLL_LIBS = @EPOLL_LIBS@
494EUILIB = @EUILIB@
495EXEEXT = @EXEEXT@
496EXPATLIB = @EXPATLIB@
497EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
498EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
499EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
500FALSE = @FALSE@
501FGREP = @FGREP@
502GREP = @GREP@
503HAVE_CXX11 = @HAVE_CXX11@
504ICAP_LIBS = @ICAP_LIBS@
505INCLTDL = @INCLTDL@
506INSTALL = @INSTALL@
507INSTALL_DATA = @INSTALL_DATA@
508INSTALL_PROGRAM = @INSTALL_PROGRAM@
509INSTALL_SCRIPT = @INSTALL_SCRIPT@
510INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
511KRB5INCS = @KRB5INCS@
512KRB5LIBS = @KRB5LIBS@
513LBERLIB = @LBERLIB@
514LD = @LD@
515LDAPLIB = @LDAPLIB@
516LDFLAGS = @LDFLAGS@
517LIBADD_DL = @LIBADD_DL@
518LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
519LIBADD_DLOPEN = @LIBADD_DLOPEN@
520LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
521LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
522LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
523LIBLTDL = @LIBLTDL@
524LIBOBJS = @LIBOBJS@
525LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
526LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
527LIBS = @LIBS@
528LIBSASL = @LIBSASL@
529LIBTOOL = @LIBTOOL@
530LIB_DB = @LIB_DB@
531LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
532LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
533LINUXDOC = @LINUXDOC@
534LIPO = @LIPO@
535LN = @LN@
536LN_S = @LN_S@
537LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
538LTDLDEPS = @LTDLDEPS@
539LTDLINCL = @LTDLINCL@
540LTDLOPEN = @LTDLOPEN@
541LTLIBOBJS = @LTLIBOBJS@
542LT_ARGZ_H = @LT_ARGZ_H@
543LT_CONFIG_H = @LT_CONFIG_H@
544LT_DLLOADERS = @LT_DLLOADERS@
545LT_DLPREOPEN = @LT_DLPREOPEN@
546LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
547MAINT = @MAINT@
548MAKEINFO = @MAKEINFO@
549MANIFEST_TOOL = @MANIFEST_TOOL@
550MINGW_LIBS = @MINGW_LIBS@
551MKDIR = @MKDIR@
552MKDIR_P = @MKDIR_P@
553MV = @MV@
554NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
555NETTLELIB = @NETTLELIB@
556NM = @NM@
557NMEDIT = @NMEDIT@
558NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
559OBJDUMP = @OBJDUMP@
560OBJEXT = @OBJEXT@
561OTOOL = @OTOOL@
562OTOOL64 = @OTOOL64@
563PACKAGE = @PACKAGE@
564PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
565PACKAGE_NAME = @PACKAGE_NAME@
566PACKAGE_STRING = @PACKAGE_STRING@
567PACKAGE_TARNAME = @PACKAGE_TARNAME@
568PACKAGE_URL = @PACKAGE_URL@
569PACKAGE_VERSION = @PACKAGE_VERSION@
570PATH_SEPARATOR = @PATH_SEPARATOR@
571PERL = @PERL@
572PKG_CONFIG = @PKG_CONFIG@
573PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
574PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
575PO2HTML = @PO2HTML@
576PO2TEXT = @PO2TEXT@
577POD2MAN = @POD2MAN@
578RANLIB = @RANLIB@
579REGEXLIB = @REGEXLIB@
580REPL_LIBS = @REPL_LIBS@
581REPL_OBJS = @REPL_OBJS@
582REPL_POLICIES = @REPL_POLICIES@
583RM = @RM@
584SED = @SED@
585SET_MAKE = @SET_MAKE@
586SH = @SH@
587SHELL = @SHELL@
588SMBCLIENT = @SMBCLIENT@
589SNMPLIB = @SNMPLIB@
590SQUID_CFLAGS = @SQUID_CFLAGS@
591SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
592SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
593SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
594SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
595SSLLIB = @SSLLIB@
596STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
597STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
598STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
599STORE_TESTS = @STORE_TESTS@
600STRIP = @STRIP@
601TR = @TR@
602TRUE = @TRUE@
603URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
604VERSION = @VERSION@
605WBINFO = @WBINFO@
606WIN32_PSAPI = @WIN32_PSAPI@
607XMLLIB = @XMLLIB@
608XTRA_LIBS = @XTRA_LIBS@
609XTRA_OBJS = @XTRA_OBJS@
610abs_builddir = @abs_builddir@
611abs_srcdir = @abs_srcdir@
612abs_top_builddir = @abs_top_builddir@
613abs_top_srcdir = @abs_top_srcdir@
614ac_ct_AR = @ac_ct_AR@
615ac_ct_CC = @ac_ct_CC@
616ac_ct_CXX = @ac_ct_CXX@
617ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
618am__include = @am__include@
619am__leading_dot = @am__leading_dot@
620am__quote = @am__quote@
621am__tar = @am__tar@
622am__untar = @am__untar@
623bindir = @bindir@
624build = @build@
625build_alias = @build_alias@
626build_cpu = @build_cpu@
627build_os = @build_os@
628build_vendor = @build_vendor@
629builddir = @builddir@
630datadir = @datadir@
631datarootdir = @datarootdir@
632docdir = @docdir@
633dvidir = @dvidir@
634exec_prefix = @exec_prefix@
635host = @host@
636host_alias = @host_alias@
637host_cpu = @host_cpu@
638host_os = @host_os@
639host_vendor = @host_vendor@
640htmldir = @htmldir@
641includedir = @includedir@
642infodir = @infodir@
643install_sh = @install_sh@
644krb5_config = @krb5_config@
645libdir = @libdir@
646libexecdir = @libexecdir@
647localedir = @localedir@
648localstatedir = @localstatedir@
649ltdl_LIBOBJS = @ltdl_LIBOBJS@
650ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
651mandir = @mandir@
652mkdir_p = @mkdir_p@
653oldincludedir = @oldincludedir@
654pdfdir = @pdfdir@
655prefix = @prefix@
656program_transform_name = @program_transform_name@
657psdir = @psdir@
658runstatedir = @runstatedir@
659sbindir = @sbindir@
660sharedstatedir = @sharedstatedir@
661srcdir = @srcdir@
662subdirs = @subdirs@
663sys_symbol_underscore = @sys_symbol_underscore@
664sysconfdir = @sysconfdir@
665target_alias = @target_alias@
666top_build_prefix = @top_build_prefix@
667top_builddir = @top_builddir@
668top_srcdir = @top_srcdir@
669AM_CFLAGS = $(SQUID_CFLAGS)
670AM_CXXFLAGS = $(SQUID_CXXFLAGS)
671CLEANFILES =
672AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
673        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
674        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
675        $(am__append_1)
676@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
677@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
678COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
679subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
680url_fake_rewrite_SOURCES = fake.cc
681url_fake_rewrite_LDADD = $(COMPAT_LIB)
682libexec_SCRIPTS = url_fake_rewrite.sh
683EXTRA_DIST = url_fake_rewrite.sh required.m4
684all: all-am
685
686.SUFFIXES:
687.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
688$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
689        @for dep in $?; do \
690          case '$(am__configure_deps)' in \
691            *$$dep*) \
692              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
693                && { if test -f $@; then exit 0; else break; fi; }; \
694              exit 1;; \
695          esac; \
696        done; \
697        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/url_rewrite/fake/Makefile'; \
698        $(am__cd) $(top_srcdir) && \
699          $(AUTOMAKE) --gnu helpers/url_rewrite/fake/Makefile
700Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
701        @case '$?' in \
702          *config.status*) \
703            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
704          *) \
705            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
706            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
707        esac;
708$(top_srcdir)/src/Common.am $(am__empty):
709
710$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
711        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
712
713$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
714        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
715$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
716        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
717$(am__aclocal_m4_deps):
718
719clean-checkPROGRAMS:
720        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
721        echo " rm -f" $$list; \
722        rm -f $$list || exit $$?; \
723        test -n "$(EXEEXT)" || exit 0; \
724        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
725        echo " rm -f" $$list; \
726        rm -f $$list
727install-libexecPROGRAMS: $(libexec_PROGRAMS)
728        @$(NORMAL_INSTALL)
729        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
730        if test -n "$$list"; then \
731          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
732          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
733        fi; \
734        for p in $$list; do echo "$$p $$p"; done | \
735        sed 's/$(EXEEXT)$$//' | \
736        while read p p1; do if test -f $$p \
737         || test -f $$p1 \
738          ; then echo "$$p"; echo "$$p"; else :; fi; \
739        done | \
740        sed -e 'p;s,.*/,,;n;h' \
741            -e 's|.*|.|' \
742            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
743        sed 'N;N;N;s,\n, ,g' | \
744        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
745          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
746            if ($$2 == $$4) files[d] = files[d] " " $$1; \
747            else { print "f", $$3 "/" $$4, $$1; } } \
748          END { for (d in files) print "f", d, files[d] }' | \
749        while read type dir files; do \
750            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
751            test -z "$$files" || { \
752            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
753            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
754            } \
755        ; done
756
757uninstall-libexecPROGRAMS:
758        @$(NORMAL_UNINSTALL)
759        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
760        files=`for p in $$list; do echo "$$p"; done | \
761          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
762              -e 's/$$/$(EXEEXT)/' \
763        `; \
764        test -n "$$list" || exit 0; \
765        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
766        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
767
768clean-libexecPROGRAMS:
769        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
770        echo " rm -f" $$list; \
771        rm -f $$list || exit $$?; \
772        test -n "$(EXEEXT)" || exit 0; \
773        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
774        echo " rm -f" $$list; \
775        rm -f $$list
776
777url_fake_rewrite$(EXEEXT): $(url_fake_rewrite_OBJECTS) $(url_fake_rewrite_DEPENDENCIES) $(EXTRA_url_fake_rewrite_DEPENDENCIES)
778        @rm -f url_fake_rewrite$(EXEEXT)
779        $(AM_V_CXXLD)$(CXXLINK) $(url_fake_rewrite_OBJECTS) $(url_fake_rewrite_LDADD) $(LIBS)
780install-libexecSCRIPTS: $(libexec_SCRIPTS)
781        @$(NORMAL_INSTALL)
782        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || list=; \
783        if test -n "$$list"; then \
784          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
785          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
786        fi; \
787        for p in $$list; do \
788          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
789          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
790        done | \
791        sed -e 'p;s,.*/,,;n' \
792            -e 'h;s|.*|.|' \
793            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
794        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
795          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
796            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
797              if (++n[d] == $(am__install_max)) { \
798                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
799            else { print "f", d "/" $$4, $$1 } } \
800          END { for (d in files) print "f", d, files[d] }' | \
801        while read type dir files; do \
802             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
803             test -z "$$files" || { \
804               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
805               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
806             } \
807        ; done
808
809uninstall-libexecSCRIPTS:
810        @$(NORMAL_UNINSTALL)
811        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || exit 0; \
812        files=`for p in $$list; do echo "$$p"; done | \
813               sed -e 's,.*/,,;$(transform)'`; \
814        dir='$(DESTDIR)$(libexecdir)'; $(am__uninstall_files_from_dir)
815
816mostlyclean-compile:
817        -rm -f *.$(OBJEXT)
818
819distclean-compile:
820        -rm -f *.tab.c
821
822@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fake.Po@am__quote@
823
824.cc.o:
825@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
826@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
827@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
828@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
829@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
830@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
831
832.cc.obj:
833@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
834@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
835@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
836@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
837@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
838@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
839
840.cc.lo:
841@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
842@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
843@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
844@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
845@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
847
848mostlyclean-libtool:
849        -rm -f *.lo
850
851clean-libtool:
852        -rm -rf .libs _libs
853
854ID: $(am__tagged_files)
855        $(am__define_uniq_tagged_files); mkid -fID $$unique
856tags: tags-am
857TAGS: tags
858
859tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
860        set x; \
861        here=`pwd`; \
862        $(am__define_uniq_tagged_files); \
863        shift; \
864        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
865          test -n "$$unique" || unique=$$empty_fix; \
866          if test $$# -gt 0; then \
867            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
868              "$$@" $$unique; \
869          else \
870            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
871              $$unique; \
872          fi; \
873        fi
874ctags: ctags-am
875
876CTAGS: ctags
877ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
878        $(am__define_uniq_tagged_files); \
879        test -z "$(CTAGS_ARGS)$$unique" \
880          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
881             $$unique
882
883GTAGS:
884        here=`$(am__cd) $(top_builddir) && pwd` \
885          && $(am__cd) $(top_srcdir) \
886          && gtags -i $(GTAGS_ARGS) "$$here"
887cscopelist: cscopelist-am
888
889cscopelist-am: $(am__tagged_files)
890        list='$(am__tagged_files)'; \
891        case "$(srcdir)" in \
892          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
893          *) sdir=$(subdir)/$(srcdir) ;; \
894        esac; \
895        for i in $$list; do \
896          if test -f "$$i"; then \
897            echo "$(subdir)/$$i"; \
898          else \
899            echo "$$sdir/$$i"; \
900          fi; \
901        done >> $(top_builddir)/cscope.files
902
903distclean-tags:
904        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
905
906# Recover from deleted '.trs' file; this should ensure that
907# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
908# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
909# to avoid problems with "make -n".
910.log.trs:
911        rm -f $< $@
912        $(MAKE) $(AM_MAKEFLAGS) $<
913
914# Leading 'am--fnord' is there to ensure the list of targets does not
915# expand to empty, as could happen e.g. with make check TESTS=''.
916am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
917am--force-recheck:
918        @:
919
920$(TEST_SUITE_LOG): $(TEST_LOGS)
921        @$(am__set_TESTS_bases); \
922        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
923        redo_bases=`for i in $$bases; do \
924                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
925                    done`; \
926        if test -n "$$redo_bases"; then \
927          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
928          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
929          if $(am__make_dryrun); then :; else \
930            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
931          fi; \
932        fi; \
933        if test -n "$$am__remaking_logs"; then \
934          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
935               "recursion detected" >&2; \
936        elif test -n "$$redo_logs"; then \
937          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
938        fi; \
939        if $(am__make_dryrun); then :; else \
940          st=0;  \
941          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
942          for i in $$redo_bases; do \
943            test -f $$i.trs && test -r $$i.trs \
944              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
945            test -f $$i.log && test -r $$i.log \
946              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
947          done; \
948          test $$st -eq 0 || exit 1; \
949        fi
950        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
951        ws='[   ]'; \
952        results=`for b in $$bases; do echo $$b.trs; done`; \
953        test -n "$$results" || results=/dev/null; \
954        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
955        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
956        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
957        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
958        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
959        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
960        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
961        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
962          success=true; \
963        else \
964          success=false; \
965        fi; \
966        br='==================='; br=$$br$$br$$br$$br; \
967        result_count () \
968        { \
969            if test x"$$1" = x"--maybe-color"; then \
970              maybe_colorize=yes; \
971            elif test x"$$1" = x"--no-color"; then \
972              maybe_colorize=no; \
973            else \
974              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
975            fi; \
976            shift; \
977            desc=$$1 count=$$2; \
978            if test $$maybe_colorize = yes && test $$count -gt 0; then \
979              color_start=$$3 color_end=$$std; \
980            else \
981              color_start= color_end=; \
982            fi; \
983            echo "$${color_start}# $$desc $$count$${color_end}"; \
984        }; \
985        create_testsuite_report () \
986        { \
987          result_count $$1 "TOTAL:" $$all   "$$brg"; \
988          result_count $$1 "PASS: " $$pass  "$$grn"; \
989          result_count $$1 "SKIP: " $$skip  "$$blu"; \
990          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
991          result_count $$1 "FAIL: " $$fail  "$$red"; \
992          result_count $$1 "XPASS:" $$xpass "$$red"; \
993          result_count $$1 "ERROR:" $$error "$$mgn"; \
994        }; \
995        {                                                               \
996          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
997            $(am__rst_title);                                           \
998          create_testsuite_report --no-color;                           \
999          echo;                                                         \
1000          echo ".. contents:: :depth: 2";                               \
1001          echo;                                                         \
1002          for b in $$bases; do echo $$b; done                           \
1003            | $(am__create_global_log);                                 \
1004        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1005        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1006        if $$success; then                                              \
1007          col="$$grn";                                                  \
1008         else                                                           \
1009          col="$$red";                                                  \
1010          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1011        fi;                                                             \
1012        echo "$${col}$$br$${std}";                                      \
1013        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1014        echo "$${col}$$br$${std}";                                      \
1015        create_testsuite_report --maybe-color;                          \
1016        echo "$$col$$br$$std";                                          \
1017        if $$success; then :; else                                      \
1018          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1019          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1020            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1021          fi;                                                           \
1022          echo "$$col$$br$$std";                                        \
1023        fi;                                                             \
1024        $$success || exit 1
1025
1026check-TESTS:
1027        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1028        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1029        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1030        @set +e; $(am__set_TESTS_bases); \
1031        log_list=`for i in $$bases; do echo $$i.log; done`; \
1032        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1033        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1034        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1035        exit $$?;
1036recheck: all $(check_PROGRAMS)
1037        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1038        @set +e; $(am__set_TESTS_bases); \
1039        bases=`for i in $$bases; do echo $$i; done \
1040                 | $(am__list_recheck_tests)` || exit 1; \
1041        log_list=`for i in $$bases; do echo $$i.log; done`; \
1042        log_list=`echo $$log_list`; \
1043        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1044                am__force_recheck=am--force-recheck \
1045                TEST_LOGS="$$log_list"; \
1046        exit $$?
1047.test.log:
1048        @p='$<'; \
1049        $(am__set_b); \
1050        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1051        --log-file $$b.log --trs-file $$b.trs \
1052        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1053        "$$tst" $(AM_TESTS_FD_REDIRECT)
1054@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1055@am__EXEEXT_TRUE@       @p='$<'; \
1056@am__EXEEXT_TRUE@       $(am__set_b); \
1057@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1058@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1059@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1060@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1061
1062distdir: $(DISTFILES)
1063        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1064        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1065        list='$(DISTFILES)'; \
1066          dist_files=`for file in $$list; do echo $$file; done | \
1067          sed -e "s|^$$srcdirstrip/||;t" \
1068              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1069        case $$dist_files in \
1070          */*) $(MKDIR_P) `echo "$$dist_files" | \
1071                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1072                           sort -u` ;; \
1073        esac; \
1074        for file in $$dist_files; do \
1075          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1076          if test -d $$d/$$file; then \
1077            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1078            if test -d "$(distdir)/$$file"; then \
1079              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1080            fi; \
1081            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1082              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1083              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1084            fi; \
1085            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1086          else \
1087            test -f "$(distdir)/$$file" \
1088            || cp -p $$d/$$file "$(distdir)/$$file" \
1089            || exit 1; \
1090          fi; \
1091        done
1092check-am: all-am
1093        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1094        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1095check: check-am
1096all-am: Makefile $(PROGRAMS) $(SCRIPTS)
1097installdirs:
1098        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)"; do \
1099          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1100        done
1101install: install-am
1102install-exec: install-exec-am
1103install-data: install-data-am
1104uninstall: uninstall-am
1105
1106install-am: all-am
1107        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1108
1109installcheck: installcheck-am
1110install-strip:
1111        if test -z '$(STRIP)'; then \
1112          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1113            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1114              install; \
1115        else \
1116          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1117            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1118            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1119        fi
1120mostlyclean-generic:
1121        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1122        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1123        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1124
1125clean-generic:
1126        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1127
1128distclean-generic:
1129        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1130        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1131
1132maintainer-clean-generic:
1133        @echo "This command is intended for maintainers to use"
1134        @echo "it deletes files that may require special tools to rebuild."
1135clean: clean-am
1136
1137clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1138        clean-libtool mostlyclean-am
1139
1140distclean: distclean-am
1141        -rm -rf ./$(DEPDIR)
1142        -rm -f Makefile
1143distclean-am: clean-am distclean-compile distclean-generic \
1144        distclean-tags
1145
1146dvi: dvi-am
1147
1148dvi-am:
1149
1150html: html-am
1151
1152html-am:
1153
1154info: info-am
1155
1156info-am:
1157
1158install-data-am:
1159
1160install-dvi: install-dvi-am
1161
1162install-dvi-am:
1163
1164install-exec-am: install-libexecPROGRAMS install-libexecSCRIPTS
1165
1166install-html: install-html-am
1167
1168install-html-am:
1169
1170install-info: install-info-am
1171
1172install-info-am:
1173
1174install-man:
1175
1176install-pdf: install-pdf-am
1177
1178install-pdf-am:
1179
1180install-ps: install-ps-am
1181
1182install-ps-am:
1183
1184installcheck-am:
1185
1186maintainer-clean: maintainer-clean-am
1187        -rm -rf ./$(DEPDIR)
1188        -rm -f Makefile
1189maintainer-clean-am: distclean-am maintainer-clean-generic
1190
1191mostlyclean: mostlyclean-am
1192
1193mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1194        mostlyclean-libtool
1195
1196pdf: pdf-am
1197
1198pdf-am:
1199
1200ps: ps-am
1201
1202ps-am:
1203
1204uninstall-am: uninstall-libexecPROGRAMS uninstall-libexecSCRIPTS
1205
1206.MAKE: check-am install-am install-strip
1207
1208.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1209        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1210        clean-libtool cscopelist-am ctags ctags-am distclean \
1211        distclean-compile distclean-generic distclean-libtool \
1212        distclean-tags distdir dvi dvi-am html html-am info info-am \
1213        install install-am install-data install-data-am install-dvi \
1214        install-dvi-am install-exec install-exec-am install-html \
1215        install-html-am install-info install-info-am \
1216        install-libexecPROGRAMS install-libexecSCRIPTS install-man \
1217        install-pdf install-pdf-am install-ps install-ps-am \
1218        install-strip installcheck installcheck-am installdirs \
1219        maintainer-clean maintainer-clean-generic mostlyclean \
1220        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1221        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1222        uninstall-am uninstall-libexecPROGRAMS \
1223        uninstall-libexecSCRIPTS
1224
1225.PRECIOUS: Makefile
1226
1227
1228$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1229
1230# Tell versions [3.59,3.63) of GNU make to not export all variables.
1231# Otherwise a system limit (for SysV at least) may be exceeded.
1232.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.